Subject: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Peter Dyballa <[email-masked]>
Date: Thu, 22 May 2025 17:03:25 +0200

I think I have a clue here:

	last_component (name=0xbfffd607 "k") at lib/basename-lgpl.c:30
	Run till exit from #0  last_component (name=0xbfffd607 "k") at lib/basename-lgpl.c:30
	0x000042ac in main (argc=<value temporarily unavailable, due to optimizations>, argv=<value temporarily unavailable, due to optimizations>) at src/mv.c:532
	Value returned is $3 = 0xbfffd607 "k"
	file_name_concat (dir=0xbfffd609 "out", base=0xbfffd607 "k", base_in_result=0xbfffd1b8) at lib/filenamecat.c:37
	Run till exit from #0  file_name_concat (dir=0xbfffd609 "out", base=0xbfffd607 "k", base_in_result=0xbfffd1b8) at lib/filenamecat.c:37
	0x000042bc in main (argc=<value temporarily unavailable, due to optimizations>, argv=<value temporarily unavailable, due to optimizations>) at src/mv.c:532
	Value returned is $4 = 0x4006c0 "out/k"
	(gdb) step
	strip_trailing_slashes (file=0x4006c4 "k") at lib/stripslash.c:33
	Run till exit from #0  strip_trailing_slashes (file=0x4006c4 "k") at lib/stripslash.c:33
	main (argc=<value temporarily unavailable, due to optimizations>, argv=<value temporarily unavailable, due to optimizations>) at src/mv.c:537
	Value returned is $5 = false
	do_move (source=0xbfffd607 "k", dest=0x4006c0 "out/k", dest_dirfd=7, dest_relname=0x4006c4 "k", x=0xbfffd21c) at src/mv.c:175

It looks as if erroneously file_name_concat() is invoked, maybe too early, which seems to be defined in lib/filenamecat.c:35? YES!

So I need to find out from where… And maybe why…

--
Greetings

  Pete

Don't just do something, sit there.